Name:           python-pyproject-api
Version:        0.1.1
Release:        3%{?dist}
Summary:        API to interact with the python pyproject.toml based projects

License:        MIT
URL:            https://pyproject-api.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/source/p/pyproject-api/pyproject_api-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
API to interact with the python pyproject.toml based projects.}

%description %_description

%package -n     python3-pyproject-api
Summary:        %{summary}

%description -n python3-pyproject-api %_description

%prep
%autosetup -n pyproject_api-%{version}
# Remove unneeded testing deps
sed -i "/covdefaults/d;/pytest-cov/d" setup.cfg
# Remove limit for setuptools from pyproject.toml
# setuptools 60 is too new and not yet ready in Fedora
sed -i "s/\(setuptools\)>=60/\1/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -r -x testing

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyproject_api

%check
%pytest

%files -n python3-pyproject-api -f %{pyproject_files}
%doc README.md

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.1.1-2
- Rebuilt for Python 3.11

* Mon Feb 07 2022 Lumír Balhar <lbalhar@redhat.com> - 0.1.1-1
- Initial package
